#!/bin/sh
#
# Copyright (C) 2008-2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

if [ $# != 2 ] ; then
	echo "Usage: $0 <faum-node-pc-image> <logfile>"
	exit 1
fi

objdump -d $1 > /tmp/sim.$$
grep '^PROFILE' $2 | sed -e 's/^PROFILE //' > /tmp/prof.$$

./prof /tmp/sim.$$ /tmp/prof.$$

rm /tmp/prof.$$
rm /tmp/sim.$$
